#include <iostream>

using namespace std;

int main()
{
    int n; 
    int k;
    cin>>n>>k;
    int a[100000];
    int i=0;
    int zbir=0;
    for(;i<n;i++)cin>>a[i];
    if(k==0){
    for(i=0;i<n;i++)zbir+=a[i];
    }
    cout<<zbir<<endl;

    return 0;
}